# _SslCtrlSetOptions
<span class="source-link">[[Source]](src/net-ssl/ssl_context.md#L18)</span>
```pony
primitive val _SslCtrlSetOptions
```

## Constructors

### create
<span class="source-link">[[Source]](src/net-ssl/ssl_context.md#L18)</span>


```pony
new val create()
: _SslCtrlSetOptions val^
```

#### Returns

* [_SslCtrlSetOptions](net-ssl-_SslCtrlSetOptions) val^

---

## Public Functions

### apply
<span class="source-link">[[Source]](src/net-ssl/ssl_context.md#L18)</span>


```pony
fun val apply()
: I32 val
```

#### Returns

* [I32](builtin-I32) val

---

### eq
<span class="source-link">[[Source]](src/net-ssl/ssl_context.md#L18)</span>


```pony
fun box eq(
  that: _SslCtrlSetOptions val)
: Bool val
```
#### Parameters

*   that: [_SslCtrlSetOptions](net-ssl-_SslCtrlSetOptions) val

#### Returns

* [Bool](builtin-Bool) val

---

### ne
<span class="source-link">[[Source]](src/net-ssl/ssl_context.md#L18)</span>


```pony
fun box ne(
  that: _SslCtrlSetOptions val)
: Bool val
```
#### Parameters

*   that: [_SslCtrlSetOptions](net-ssl-_SslCtrlSetOptions) val

#### Returns

* [Bool](builtin-Bool) val

---

